Bug 191526

Summary: [WebAuthN] Store necessary authenticator info into HID authenticators
Product: WebKit Reporter: Jiewen Tan <jiewen_tan>
Component: WebCore Misc.Assignee: Jiewen Tan <jiewen_tan>
Status: RESOLVED FIXED    
Severity: Normal CC: alex.gaynor, bfulgham, cdumez, jiewen_tan, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 181943    
Attachments:
Description Flags
Patch jiewen_tan: review?

Description Jiewen Tan 2018-11-11 18:06:58 PST
Store necessary authenticator info into HID authenticators.
Comment 1 Jiewen Tan 2018-11-14 01:55:11 PST
Created attachment 354784 [details]
Patch
Comment 2 Jiewen Tan 2018-11-15 12:03:24 PST
Comment on attachment 354784 [details]
Patch

I guess I don't need any review for this one. I will land an unreviewed patch on my own.
Comment 3 Chris Dumez 2018-11-15 12:06:40 PST
Comment on attachment 354784 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=354784&action=review

> Source/WebKit/ChangeLog:8
> +        Somehow this is fixed by r238166. Some very minor improvment over it.

typo: improvment

"Somehow"? You don't know how? I personally find this changelog confusing.
Comment 4 Jiewen Tan 2018-11-15 13:11:26 PST
(In reply to Chris Dumez from comment #3)
> Comment on attachment 354784 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=354784&action=review
> 
> > Source/WebKit/ChangeLog:8
> > +        Somehow this is fixed by r238166. Some very minor improvment over it.
> 
> typo: improvment
> 
> "Somehow"? You don't know how? I personally find this changelog confusing.

I thought I was working on a branch for this change, and I didn't. Therefore I actually made this change in:
Committed r238166: <https://trac.webkit.org/changeset/238166>.

The change is actually simple as well. Which I just move the AuthenticatorGetInfoResponse to the CtapHidAuthenticator after we have the response. And use the userVerificationAvailability info when issuing requests to authenticators in CtapHidAuthenticator.
Comment 5 Jiewen Tan 2018-11-15 13:32:57 PST
Committed r238247: <https://trac.webkit.org/changeset/238247>
Comment 6 Radar WebKit Bug Importer 2018-11-15 13:33:30 PST
<rdar://problem/46106274>